Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.train.strategy
Class RequiredImprovementStrategy

    java.lang.Object
      org.encog.ml.train.strategy.RequiredImprovementStrategy

All Implemented Interfaces:
  Strategy

    public class RequiredImprovementStrategy

extends Object
implements Strategy

The reset strategy will reset the weights if the neural network fails to improve by the specified amount over a number of cycles.

Author:
  jheaton

Constructor Summary
`RequiredImprovementStrategy(double required, double threshold, int cycles)` Construct a reset strategy.
`RequiredImprovementStrategy(double required, int cycles)` Construct a reset strategy.
`RequiredImprovementStrategy(int cycles)` Reset if there is not at least a 1% improvement for 5 cycles.

Method Summary
`void` | `init(MLTrain train)` Initialize this strategy.
`void` | `postIteration()` Called just after a training iteration.
`void` | `preIteration()` Called just before a training iteration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequiredImprovementStrategy

    public RequiredImprovementStrategy(double required,
                                       int cycles)

  Construct a reset strategy. The error rate must fall below the required rate in the specified number of cycles, or the neural network will be reset to random weights and bias values.

  Parameters:
    `required` - The required error rate.
    `cycles` - The number of cycles to reach that rate.

### RequiredImprovementStrategy

    public RequiredImprovementStrategy(double required,
                                       double threshold,
                                       int cycles)

  Construct a reset strategy. The error rate must fall below the required rate in the specified number of cycles, or the neural network will be reset to random weights and bias values.

  Parameters:
    `required` - The required error rate.
    `threshold` - The accepted threshold, don't reset if error is below this.
    `cycles` - The number of cycles to reach that rate.

### RequiredImprovementStrategy

    public RequiredImprovementStrategy(int cycles)

  Reset if there is not at least a 1% improvement for 5 cycles. Don't reset if below 10%.

  Parameters:
    `cycles` -

Method Detail

### init

    public void init(MLTrain train)

  Initialize this strategy.

  Specified by:
    `init` in interface `Strategy`
  Parameters:
    `train` - The training algorithm.

### postIteration

    public void postIteration()

  Called just after a training iteration.

  Specified by:
    `postIteration` in interface `Strategy`

### preIteration

    public void preIteration()

  Called just before a training iteration.

  Specified by:
    `preIteration` in interface `Strategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.